Page MenuHomePhabricator

Revert bug 27860 or add configuration variable to restore "Mark all edits minor by default" preference behaviour
Open, MediumPublic

Description

(Doug wrote on bug 27860 comment #9)

There was never any reason to make this change. The correct change as noted by
Nemo_bis, was to uncheck the box by default and possibly remove the option to
change this to checked by default, not remove the box from new pages
altogether. Nobody ever really asked for that change; two alternatives were
presented and one was simply implemented without comment as to why that was
perceived as the better alternative.

Additionally, the original problem was characterized as being for making a "New
Section" not creating a page, a new section to an already existing page is
actually less likely to be minor than a new page is. This should be reverted
unless there is a wiki that thinks it actually needs it to be turned on - that
is that they never have minor page creations even for redirects - unless you're
a bot, bots can still create new pages as minor.

The new behaviour of the preference must be triggered by a new configuration variable, false by default.
Target milestone 1.20.x as this catastrophic behaviour change for such an important preference should not affect more releases.


Version: 1.18.x
Severity: major

Details

Reference
bz42008

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 12:57 AM
bzimport set Reference to bz42008.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.Nov 11 2012, 1:30 PM

This was committed 18 months ago - I don't see this as "high" priority suddenly.

Doug added a comment.Nov 12 2012, 5:40 PM

Not sure why it's not "high" priority suddenly, it has been sitting as "high" at Bug:27860 the whole time. This is a very important issue that never should've been changed.

So this would require design input, and a "yes" or "no".
Anybody willing to come up with arguments pro or con?

bharris / vbamba / zhorishna: Any design input on this?

I'm not entirely sure what all this bug is referring to, but I certainly do agree with reverting the change it mentions in the summary.

Hiding the option to mark something a minor edit is not helpful, especially on new pages which often are indeed minor edits - be they redirects, content containers, pointless user pages, or various other things depending on the project in question. Even new sections can be minor edits; that they usually aren't doesn't explain why the option should be removed entirely, but making the 'mark all edits minor by default' thing not apply to them would indeed have made sense.

While I personally believe that preferences option - the marking all edits minor by default - should really be a gadget instead on those projects that want to support it, I see no solid grounds to have removed the option to mark some things as minor entirely.

[Removing "easy" keyword because discussion shows that it's controversial and hence nothing to start with for beginners who want to see their patches merged at some point.]

I got complaints about this just a day or so after upgrading WikiFur. People expect to be able to mark trivial page and redirect creations as minor.

Bug 40111 which removes this capability in the API may also need reverting.

Do people still strongly care about this issue/Want me to fix it (by fix I mean add a global to control what the preference does, probably defaulting to current behaviour)?

Asking because bug has been opened for a long time now...

Dunno what qualifies for "strongly care" but I still think this was very wrong and would love to have the checkboxes back, yes. :)

Yes, what Nemo said.

I have a patch for this against 1.23 at:
http://pool.wikifur.com/EditPage.php.patch
It takes out $isNew entirely from EditPage.

The third chunk also lets edit summaries be blank for new pages even if they are generally required (since a good default is provided). I think this is a good change but you might want to remove it if addressing just this bug.

GOIII added a comment.Sep 20 2014, 3:32 AM

(In reply to Nemo from comment #9)

Dunno what qualifies for "strongly care" but I still think this was very
wrong and would love to have the checkboxes back, yes. :)

Ditto. :)

If this is found to be unreasonable (or the like) for some reason in moving forward, at the minimum I'd like to narrow the request and have the 'mark edit as minor' checkbox restored just for the Wikisource project(s) instead.

This task was filed with a 1.20 target milestone in 2012. That got bumped to 1.21, and that got bumped in 2014 to 1.23. So I'm afraid that these milestones are more like wishful thinking instead of release blockers as nobody fixed this in those last three years, hence I am tempted to remove the 1.23 milestone...

And if you have a patch, please put it into Gerrit for review. Thanks. :)

Aklapper set Security to None.
Jorm removed a subscriber: Jorm.Dec 26 2015, 7:19 PM